from ui.editor import Editor


class Barcodes_Step_Editor(Editor):
    def __init__(self, action=None, cell_widget=None):
        super().__init__(action=action, cell_widget=cell_widget)
        self.spec.update({
            "serial": self.serial_le,
            "barcode_input_2": self.serial_le_2,
            "barcode_input_3": self.serial_le_3,
            "barcode_input_4": self.serial_le_4,
            "barcode_input_5": self.serial_le_5,
            "n_pieces": self.n_comp_le

        })
